package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.AttRvBase;

/** 河流信息 Service */
public interface RiverService {
    /**
     * 查询河流信息列表
     * 
     * @param attRvBase 查询条件
     * @return 河流信息列表
     */
    public List<AttRvBase> selectAttRvBaseList(AttRvBase attRvBase);

    /**
     * 通过河流编码查询河流信息
     * 
     * @param rvCode 河流编码
     * @return 河流信息
     */
    public AttRvBase selectAttRvBaseById(String rvCode);

    /**
     * 批量删除河流信息
     * 
     * @param rvCodes 河流编码数组
     * @return 删除行数
     */
    public int deleteAttRvBaseByIds(String[] rvCodes);

    /**
     * 新增河流信息
     * 
     * @param attRvBase 河流信息
     * @return 插入行数
     */
    public int insertAttRvBase(AttRvBase attRvBase);

    /**
     * 修改河流信息
     * 
     * @param attRvBase 河流信息
     * @return 更新行数
     */
    public int updateAttRvBase(AttRvBase attRvBase);
}
